One more step...

Email is required.

bmi2-1: means this software can only run on intel-haswell or newer CPU
bmi2-0: means this software can only run on older CPU(But at least support popcnt & sse4.2)
r3.5.4: Experimental version, based on MongoDB v3.5.4
r3.2.x: Stable version, based on MongoDB v3.2.x